Packages - Freedom Issue #1885

Freedom Issue # 1631 (fixed): [intellij-idea-community-edition] Parts of the package are under different licenses than Apache, some nonfree -
PKGBUILD is not built from source

[intellij-idea-community-edition] Intellij IDEAD includes User Agreement that revokes freedoms?
2018-07-12 02:49 PM - dllud

Status: not-a-bug % Done: 0%
Priority: freedom issue

Assignee:

Category:

Description

I've just installed the intellij-idea-community-edition package and upon opening Intellij it showed me the "JETBRAINS USER
AGREEMENT". On it, one can read:

(B) You may not:
(i) Rent, lease, reproduce, modify, adapt, create derivative works of, distribute, sell, or transfer the Product(s);
Products is defined as follows.
"Product" means any generally available JetBrains software product identified by JetBrains as an individual developer tool,
which is either covered by Toolbox Subscription, or provided perpetually for free. For the avoidance of doubt, the Product is not

produced to the specifications of the User nor customized through modification or personalization, and is intended for mass
distribution.

I am not fluent in legalese, but it seems that upon accepting this User Agreement | would be relinquishing my rights to free software
freedoms number 2 and 3. | opted to decline and uninstall this package.

I would like you to take a look at this and consider whether this package should be removed from Parabola.

Upon inspecting the PKGBUILD one can see that binaries are directly downloaded from Jetbrains' server.

| suspect that accepting this User Agreement won't be mandatory if compiled directly from the source available at
https://github.com/JetBrains/intellii-community | will test this later when | find the time.

History

#1 - 2018-07-12 03:00 PM - bill-auger

- Parent task set to #1631

- Priority changed from bug to freedom issue

dllud -

this is nearly a duplicate of an existing issue regarding this program

https://labs.parabola.nu/issues/1631

even if this program was 100% freely licensed, the current package has a major flaw that it is fetches an absurd number of binary dependencies from
the network at build time - it would be a significant amount of work to get this to build without third-party blobs so it is probably going to be removed

#2 - 2018-07-18 06:22 PM - dllud

This particular issue is now solved. I've contacted JetBrains Legal Department and they informed me that the User Agreement was removed from the
latest version. The current Arch/Parabola version (2018.1.5-1) includes this fix and does not show the User Agreement.

Where can | close this issue?

#3 - 2018-07-19 05:28 AM - bill-auger

- Status changed from open to not-a-bug

thanks dllud - i will close it now
